aboutsummaryrefslogtreecommitdiff
path: root/tester.in
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2010-09-06 14:26:25 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2010-09-06 14:26:25 +0200
commit921c4c14c2999a03b9e649b5c9adec73b5cae0de (patch)
treec3a0015286ded8b59f2f44fd7b22be2748e16098 /tester.in
parent0f9123ae095d3da7f2fb55d95af49ec3aa0a9c17 (diff)
Add automake build support
Diffstat (limited to 'tester.in')
-rwxr-xr-xtester.in31
1 files changed, 31 insertions, 0 deletions
diff --git a/tester.in b/tester.in
new file mode 100755
index 0000000..b34c6ab
--- /dev/null
+++ b/tester.in
@@ -0,0 +1,31 @@
+#! /bin/sh
+
+# file : tester.in
+# author : Boris Kolpackov <boris@codesynthesis.com>
+# copyright : Copyright (c) 2009-2010 Code Synthesis Tools CC
+# license : GNU GPL v2; see accompanying LICENSE file
+
+#
+# Run an ODB test. The test driver is in the current directory. The
+# data files, if any, are in $srcdir.
+#
+
+if test -f test.sql; then
+ $top_builddir/db-driver test.sql
+
+ if test $? -ne 0; then
+ exit 1
+ fi
+fi
+
+if test -f "$srcdir/test.std"; then
+ ./driver --options-file "$top_builddir/db.options" >test.out
+
+ if test $? -ne 0; then
+ exit 1
+ fi
+
+ @DIFF@ @DIFFFLAGS@ "$srcdir/test.std" test.out
+else
+ ./driver --options-file "$top_builddir/db.options"
+fi